<template>
  <v-card class="rounded-xl">
    <v-card-title class="justify-center labelStyle mx-12 pt-6">
      Frecuencia de atenciones psicológicas por motivos de consulta
    </v-card-title>
    <v-row  no-gutters>
      <v-col cols ="12" sm="12"  lg="12" md="12" align="center">
        <v-container fluid grid-list-xl>
          <v-layout wrap justify-center >
            <v-flex v-for="motivo in firstReport.motivos" :key="motivo.motivo" class="justify-center">
              <progress-rate
                :subTitle="motivo.motivo"
                :value="motivo.value"
                :maxWidth="170"
                :up="motivo.rate>0"
                text="Atenciones"
                :rate="motivo.rate"
              />
            </v-flex>
          </v-layout>
        </v-container>
      </v-col>
      <v-col cols ="12" sm="12"  lg="12" md="12" align="center">
        <chart-area
          ref="FirstChartArea"
          title="Frecuencia de atenciones psicológicas por motivos de consulta"
          title-y="Cantidad de atenciones psicológicas"
          title-x="Periodo de tiempo"
          :series="firstReport.series"
          :categories="firstReport.categories"
          width="90%"
        />
      </v-col>
    </v-row>
  </v-card>
</template>
<script>
import { mapActions, mapState } from 'vuex';
import ProgressRate from '~/components/Dashboard/ProgressRate';
import ChartArea from '~/components/Dashboard/ChartArea';
export default {
  name: 'FirstChart',
  components: { ProgressRate, ChartArea },
  data() {
    return {
    };
  },
  computed: {
    ...mapState({
      firstReport: state => state.providercompany['client-company'].firstReport,
    }),
  },
  /*
  mounted() {
    this.getDashboard();
  }, */
  methods: {
    ...mapActions({
      updateFirstChart: 'providercompany/client-company/getReportCalificationServiceToClient',
    }),
    async getDashboard(end, start, clientCompanyId) {
      const params = { endDate: end, initDate: start, clientCompanyId };
      await this.updateFirstChart(params);
      this.$refs.FirstChartArea.updateChartArea(this.firstReport);
    },
  },
};
</script>
<style scoped>
.labelStyle{
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
  color: #505050;
  font-weight: 700;
  text-align: center;
}
</style>
